Subject: RE: bug#9918: 24.0.90; lazy-highlighting in Info mode

From: "Drew Adams" <[email-masked]>
Date: Mon, 31 Oct 2011 14:39:14 -0700

> > Note that the problem arises only when there is only one 
> > match for the search pattern, and that match occurs before point.
> >
> > E.g.: `g Intro', put point in the 3rd paragraph, then 
> > search for `extensible'.  There is no problem highlighting
> > occurrences that are before point.
> 
> In that case there is no problem, but I think that the reason is that
> the search is succeeding (there is a match in the last paragraph).
> Try to do the same starting from the middle of the last paragraph, and
> you will see the problem again.

Yes.  But hit C-s again and it then correctly highlights all of the occurrences
(just as it should have done initially, and which happens in other modes).

It is when there is only a single match that it immediately moves on to the next
node that has a match, instead of highlighting the match in the current node.
At least when there is more than one match a second C-s will highlight them all.